

--Skrypt tworzcy uytkownika oraz nadajcy uprawnienia do tabel,widokw,procedur oraz funkcji potrzebnych do prawidowego dziaania aplikacji XL2GreenMail24.

-- tworzenie uytkownika 
USE [...]     -- naley wpisa nazw bazy danych na ktrej ma zosta utworzony login

CREATE LOGIN [GREENMAIL]	-- Nazwa uytkownika
WITH PASSWORD=N'1234abcd'	-- Haso dla uytkownika
, DEFAULT_DATABASE= [...]	-- Nazwa bazy danych
, CHECK_EXPIRATION=OFF, CHECK_POLICY=OFF

CREATE USER [GREENMAIL] FOR LOGIN [GREENMAIL]

-- Uprawnienia do tabel XL

GRANT SELECT, UPDATE ON [CDN].[TraNag] TO [GREENMAIL]

GRANT SELECT ON [CDN].[TraElem] TO [GREENMAIL]

GRANT SELECT ON [CDN].[Firma] TO [GREENMAIL]

GRANT SELECT, UPDATE, INSERT ON [CDN].[Atrybuty] TO [GREENMAIL]

GRANT SELECT ON [CDN].[AtrybutyKlasy] TO [GREENMAIL]

GRANT SELECT ON [CDN].[TraRozliczZal] TO [GREENMAIL]

GRANT SELECT ON [CDN].[KntKarty] TO [GREENMAIL]

GRANT SELECT ON [CDN].[OpeKarty] TO [GREENMAIL]

GRANT SELECT ON [CDN].[KntAdresy] TO [GREENMAIL]

GRANT SELECT, UPDATE ON [CDN].[UpoNag] TO [GREENMAIL]

GRANT SELECT ON [CDN].[UpoElem] TO [GREENMAIL]

GRANT SELECT ON [CDN].[ObiektyDomyslne] TO [GREENMAIL]

GRANT SELECT ON [CDN].[ZamNag] to [GREENMAIL]

GRANT SELECT ON [CDN].[TrasElem] to [GREENMAIL]

GRANT SELECT ON [CDN].[Banki] to [GREENMAIL]

GRANT SELECT ON [CDN].[Rejestry] to [GREENMAIL]

GRANT SELECT ON [CDN].[TwrKarty] to [GREENMAIL]

GRANT SELECT ON [CDN].[ZamElem] to [GREENMAIL]


-- Uprawnienia do funkcji XL

GRANT EXECUTE ON [CDN].[NumerDokumentu] TO [GREENMAIL]
GRANT EXECUTE ON [CDN].[PS_Pobierz_nr_zamowienia] TO [GREENMAIL]
GRANT EXECUTE ON [CDN].[WirtualnyNumerRachunku] TO [GREENMAIL]



-- Uprawnienia do tabel aplikacji 

GRANT SELECT, UPDATE, INSERT, DELETE ON [CDN].[PS_GP_Statusy] TO [GREENMAIL]

GRANT SELECT, UPDATE, INSERT, DELETE ON [CDN].[PS_GP_Konfig_szablonow] TO [GREENMAIL]

GRANT SELECT, UPDATE, INSERT, DELETE ON [CDN].[PS_GP_Ustawienia] TO [GREENMAIL]

GRANT SELECT, UPDATE, INSERT, DELETE ON [CDN].[PS_GP_Do_wyslania] TO [GREENMAIL]

GRANT SELECT, UPDATE, INSERT, DELETE ON [CDN].[PS_GP_Konfig_wydrukow] TO [GREENMAIL]

GRANT SELECT, UPDATE, INSERT, DELETE ON [CDN].[PS_GP_NotyUpomnienia] TO [GREENMAIL]

GRANT SELECT, UPDATE, INSERT, DELETE ON [CDN].[PS_GP_Raporty] TO [GREENMAIL]

GRANT SELECT, UPDATE, INSERT, DELETE ON [CDN].[PS_GP_Logi] TO [GREENMAIL]


-- Uprawnienia do widokw aplikacji

GRANT SELECT ON [CDN].[pobierzDokumentyDoNadaniaElektroniczne] TO [GREENMAIL]

GRANT SELECT ON [CDN].[pobierzDokumentyDoNadania] TO [GREENMAIL]

GRANT SELECT ON [CDN].[pobierzDokumentyDoNadaniaElektroniczneAUTOMAT] TO [GREENMAIL]

GRANT SELECT ON [CDN].[pobierzDokumentyDoNadaniaAUTOMAT] TO [GREENMAIL]

GRANT SELECT ON [CDN].[pobierzNotyUpomnienia] TO [GREENMAIL]


-- Uprawnienia do procedur aplikacji

GRANT EXECUTE ON [CDN].[PulsarDodajAtrPoNazwie] TO [GREENMAIL]

GRANT EXECUTE ON [CDN].[PulsarZnajdzMail] TO [GREENMAIL]

GRANT EXECUTE ON [CDN].[PulsarPoDoreczeniu] TO [GREENMAIL]

GRANT EXECUTE ON [CDN].[PulsarUstawDateOdbioruFaktury] TO [GREENMAIL]

GRANT EXECUTE ON [CDN].[PulsarZnajdzMailDW1] TO [GREENMAIL]

GRANT EXECUTE ON [CDN].[PulsarZnajdzMailDW2] TO [GREENMAIL]

